Package org.globus.gsi.gssapi.net.example

# Class GetOpts

java.lang.Object
org.globus.gsi.gssapi.example.GetOpts
org.globus.gsi.gssapi.net.example.GetOpts

public class GetOpts extends GetOpts

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`wrapMode`

### Fields inherited from class org.globus.gsi.gssapi.example.GetOpts

`anonymity, auth, conf, deleg, gsiMode, helpMsg, lifetime, limitedDeleg, rejectLimitedProxy, usage`

## Constructor Summary

Constructors
Constructor
Description
`GetOpts(String usage, String helpMsg)`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`parseArg(String[] args, int i)`

### Methods inherited from class org.globus.gsi.gssapi.example.GetOpts

`error, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wrapMode

public int wrapMode

## Constructor Details

### GetOpts

public GetOpts(String usage, String helpMsg)

## Method Details

### parseArg

protected int parseArg(String[] args, int i)

Overrides:
  `parseArg` in class `GetOpts`